=== debian/changelog ===
gsoap (2.8.132-3) unstable; urgency=medium

  * Don't overwrite CPPFLAGS in Makefile.am files in sample directory
  * Add -D_GNU_SOURCE to CPPFLAGS to make strtod_l available on hurd-any

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 07 Aug 2024 08:16:28 +0200

gsoap (2.8.132-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064079

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:33:01 +0000

gsoap (2.8.132-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Jan 2024 11:34:59 +0100

gsoap (2.8.132-1) unstable; urgency=medium

  * Update to 2.8.132

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 23 Jan 2024 11:10:40 +0100

gsoap (2.8.124-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 22 Dec 2022 22:12:52 +0100
