=== debian/changelog ===
gsoap (2.8.135-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 Nov 2024 11:41:53 +0100

gsoap (2.8.135-1) unstable; urgency=medium

  * Update to 2.8.135

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 30 Oct 2024 11:04:52 +0100
