=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5)
+ debhelper-compat (= 13)
 Build-Depends-Arch:
  flex,
  bison,
@@ -20,10 +19,7 @@
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: https://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.132t64
-Provides: ${t64:Provides}
-Replaces: libgsoap-2.8.132
-Breaks: libgsoap-2.8.132 (<< ${source:Version})
+Package: libgsoap-2.8.135
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,7 +38,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgsoap-2.8.132t64 (= ${binary:Version})
+ libgsoap-2.8.135 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
