=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Add -D_GNU_SOURCE to CPPFLAGS to make strtod_l available on hurd-any
 export DEB_CPPFLAGS_MAINT_APPEND = -D_GNU_SOURCE
 
-version = 2.8.132
+version = 2.8.135
 
 %:
 	dh $@ --no-parallel
@@ -45,9 +45,8 @@
 override_dh_auto_install-arch:
 	dh_auto_install
 	rm debian/tmp/usr/lib/*/*.la
-	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-httpda.o
-	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-smdevp.o
-	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-threads.o
+	rm debian/tmp/usr/share/gsoap/custom/*.o
+	rm debian/tmp/usr/share/gsoap/plugin/*.o
 	install -p -m 644 debian/WS-README debian/tmp/usr/share/gsoap/WS
 
 override_dh_autoreconf-indep:
