## gsoap 2.8.139

=== debian/changelog ===
gsoap (2.8.139-1) unstable; urgency=medium

  * Update to 2.8.139
  * Fix build with "make --shuffle=reverse" (Closes: #1105407)
  * Drop --no-parallel
  * Fix out-of-source build
  * Drop patch accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 19 Jan 2026 14:29:49 +0100
