=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: gsoap
-Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper-compat (= 13)
@@ -13,13 +12,13 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: devel
 Vcs-Browser: https://salsa.debian.org/ellert/gsoap
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: https://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.135
+Package: libgsoap-2.8.139
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -38,7 +37,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgsoap-2.8.135 (= ${binary:Version})
+ libgsoap-2.8.139 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
