=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 # Add -D_GNU_SOURCE to CPPFLAGS to make strtod_l available on hurd-any
 export DEB_CPPFLAGS_MAINT_APPEND = -D_GNU_SOURCE
 
-version = 2.8.135
+version = 2.8.139
 
 %:
-	dh $@ --no-parallel
+	dh $@
 
 override_dh_auto_configure-arch:
 	find gsoap/samples/autotest/databinding/examples -name '*.xml' \
@@ -17,10 +17,7 @@
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	mkdir build-native
-	# out of tree builds are broken
-	cp -a aclocal.m4 configure configure.ac gsoap Makefile.am ylwrap *.in \
-		build-native
-	cd build-native && ./configure
+	cd build-native && ../configure
 	$(MAKE) -C build-native
 
 	dh_auto_configure -- \
